# Method: customers.policies.groups.updateGroupPriorityOrdering

- [HTTP request](https://developers.google.com/chrome/policy/reference/rest/v1/customers.policies.groups/updateGroupPriorityOrdering#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/chrome/policy/reference/rest/v1/customers.policies.groups/updateGroupPriorityOrdering#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/chrome/policy/reference/rest/v1/customers.policies.groups/updateGroupPriorityOrdering#body.request_body)
  - [JSON representation](https://developers.google.com/chrome/policy/reference/rest/v1/customers.policies.groups/updateGroupPriorityOrdering#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/chrome/policy/reference/rest/v1/customers.policies.groups/updateGroupPriorityOrdering#body.response_body)
- [Authorization scopes](https://developers.google.com/chrome/policy/reference/rest/v1/customers.policies.groups/updateGroupPriorityOrdering#body.aspect)
- [Try it!](https://developers.google.com/chrome/policy/reference/rest/v1/customers.policies.groups/updateGroupPriorityOrdering#try-it)

Update a group priority ordering for an app. The target app must be supplied in `additionalTargetKeyNames` in the PolicyTargetKey. On failure the request will return the error details as part of the google.rpc.Status.

### HTTP request

`POST https://chromepolicy.googleapis.com/v1/{customer=customers/*}/policies/groups:updateGroupPriorityOrdering`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customer` | `string` Required. ID of the Google Workspace account or literal "my_customer" for the customer associated to the request. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "policyTargetKey": { object (`https://developers.google.com/chrome/policy/reference/rest/v1/PolicyTargetKey`) }, "policyNamespace": string, "policySchema": string, "groupIds": [ string ] } ``` |

| Fields ||
|---|---|
| `policyTargetKey` | ``object (`https://developers.google.com/chrome/policy/reference/rest/v1/PolicyTargetKey`)`` Required. The key of the target for which we want to update the group priority ordering. The target resource must point to an app. |
| `policyNamespace` | `string` The namespace of the policy type for the request. |
| `policySchema` | `string` The schema name of the policy for the request. |
| `groupIds[]` | `string` Required. The group IDs, in desired priority ordering. |

### Response body

If successful, the response body is empty.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/chrome.management.policy`